<?php

declare(strict_types=1);

/*
 * Chill is a software for social workers
 *
 * For the full copyright and license information, please view
 * the LICENSE file that was distributed with this source code.
 */

namespace Chill\MainBundle\Notification;

use Chill\MainBundle\Notification\FlagProviders\NotificationFlagProviderInterface;

final readonly class NotificationFlagManager
{
    /**
     * @var array<NotificationFlagProviderInterface>
     */
    private array $notificationFlagProviders;

    public function __construct(
        iterable $notificationFlagProviders,
    ) {
        $this->notificationFlagProviders = iterator_to_array($notificationFlagProviders);
    }

    public function getAllNotificationFlagProviders(): array
    {
        return $this->notificationFlagProviders;
    }
}
